Skip to main content
GET
/
conversations
/
{conversation_id}
Python
import os
from datagrid_ai import Datagrid

client = Datagrid(
    api_key=os.environ.get("DATAGRID_API_KEY"),  # This is the default and can be omitted
)
conversation = client.conversations.retrieve(
    "conversation_id",
)
print(conversation.id)
import Datagrid from 'datagrid-ai';

const client = new Datagrid({
apiKey: process.env['DATAGRID_API_KEY'], // This is the default and can be omitted
});

const conversation = await client.conversations.retrieve('conversation_id');

console.log(conversation.id);
curl --request GET \
--url https://api.datagrid.com/v1/conversations/{conversation_id} \
--header 'Authorization: Bearer <token>'
{
  "object": "conversation",
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "agent_ids": [
    "<string>"
  ],
  "participated_agent_ids": [
    "<string>"
  ]
}
{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

conversation_id
string
required

The id of the conversation to retrieve.

Response

Retrieved conversation

The conversation object represents a conversation with an AI agent.

object
enum<string>
required

The object type, which is always conversation.

Available options:
conversation
id
string
required

The conversation identifier, which can be referenced in the API endpoints.

created_at
string<date-time>
required

The ISO string for when the conversation was created.

updated_at
string<date-time>
required

The ISO string for when the conversation was last updated.

name
string

The name of the conversation.

agent_ids
string[]

Array of agent IDs currently assigned to this conversation.

participated_agent_ids
string[]

Array of agent IDs that have previously responded in this conversation. This list only grows and is never cleared when agents are reassigned.